var log = require('hlogger').createLogger('shell-test');
var child = require('child_process');

function bundleStart(context) {

	log.info("Command provider installed");

	// Create a bash and transport commands
	context.after('.*:cmd:.*',(args,e) => {
		if(e.count >0) return;

		e.wait();	
		var proc = child.exec(args.join(" "));
		proc.stdout.pipe(process.stdout);
		proc.stderr.pipe(process.stderr);

		proc.on('close',function() {
			e.done();
		});			
		e.done();
	});
}

module.exports.bundleStart = bundleStart;
